GDB (xrefs)

Public Attributes | List of all members
h8300_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | sp_offset
CORE_ADDR | pc
int | uses_fp
CORE_ADDR | saved_regs [H8300_MAX_NUM_REGS]
CORE_ADDR | saved_sp

## Detailed Description

Definition at line 64 of file h8300-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR h8300_frame_cache::base

Definition at line 67 of file h8300-tdep.c.

Referenced by h8300_frame_base_address(), h8300_frame_cache(), h8300_frame_this_id(), and h8300_init_frame_cache().

## ◆ pc

CORE_ADDR h8300_frame_cache::pc

Definition at line 69 of file h8300-tdep.c.

Referenced by h8300_frame_cache(), h8300_frame_this_id(), h8300_init_frame_cache(), and h8300_skip_prologue().

## ◆ saved_regs

CORE_ADDR h8300_frame_cache::saved_regs[H8300_MAX_NUM_REGS]

Definition at line 75 of file h8300-tdep.c.

Referenced by h8300_analyze_prologue(), h8300_frame_cache(), h8300_frame_prev_register(), and h8300_init_frame_cache().

## ◆ saved_sp

CORE_ADDR h8300_frame_cache::saved_sp

Definition at line 76 of file h8300-tdep.c.

Referenced by h8300_frame_cache(), h8300_frame_prev_register(), and h8300_frame_this_id().

## ◆ sp_offset

CORE_ADDR h8300_frame_cache::sp_offset

Definition at line 68 of file h8300-tdep.c.

Referenced by h8300_analyze_prologue(), h8300_frame_cache(), and h8300_init_frame_cache().

## ◆ uses_fp

int h8300_frame_cache::uses_fp

Definition at line 72 of file h8300-tdep.c.

Referenced by h8300_analyze_prologue(), h8300_frame_cache(), and h8300_init_frame_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/h8300-tdep.c